

# RouteRequestParameter
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey"></a>

Represents a route request parameter.

## URI
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-url"></a>

`/v2/apis/{{apiId}}/routes/{{routeId}}/requestparameters/{{requestParameterKey}}`

## HTTP methods
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-http-methods"></a>

### DELETE
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkeydelete"></a>

**Operation ID:** `DeleteRouteRequestParameter`

Deletes a route request parameter. Supported only for WebSocket APIs.


**Path parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| {{requestParameterKey}} | String | True | The route request parameter key. | 
| {{apiId}} | String | True | The API identifier. | 
| {{routeId}} | String | True | The route ID. | 


**Responses**  

| Status code | Response model | Description | 
| --- |--- |--- |
| 204 | None | The request has succeeded, and there is no additional content to send in the response payload body. | 
| 404 | NotFoundException | The resource specified in the request was not found. | 
| 429 | LimitExceededException | The client is sending more than the allowed number of requests per unit of time. | 

## Schemas
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-schemas"></a>

### Response bodies
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-response-examples"></a>

#### NotFoundException schema
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-response-body-notfoundexception-example"></a>

```
{
  "message": "string",
  "resourceType": "string"
}
```

#### LimitExceededException schema
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-response-body-limitexceededexception-example"></a>

```
{
  "message": "string",
  "limitType": "string"
}
```

## Properties
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-properties"></a>

### LimitExceededException
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-model-limitexceededexception"></a>

A limit has been exceeded. See the accompanying error message for details.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| limitType | string | False | The limit type. | 
| message | string | False | Describes the error encountered. | 

### NotFoundException
<a name="apis-apiid-routes-routeid-requestparameters-requestparameterkey-model-notfoundexception"></a>

The resource specified in the request was not found. See the `message` field for more information.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| message | string | False | Describes the error encountered. | 
| resourceType | string | False | The resource type. | 